%define anolis_release 4

%global _hardened_build 1
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:               fstrm
Summary:            A C implementation of the Frame Streams data transport protocol.
Version:            0.6.1
Release:            %{anolis_release}%{dist}
License:            MIT
URL:                https://github.com/farsightsec/fstrm
Source0:            https://dl.farsightsecurity.com/dist/%{name}/%{name}-%{version}.tar.gz

BuildRequires:      gcc gcc-c++ autoconf automake libtool libevent-devel
Provides:           bundled(libmy)

%description
Frame Streams is a light weight, binary clean protocol that allows for the transport 
of arbitrarily encoded data payload sequences with minimal framing overhead -- just 
four bytes per data frame. Frame Streams does not specify an encoding format for data 
frames and can be used with any data serialization format that produces byte sequences, 
such as Protocol Buffers, XML, JSON, MessagePack, YAML, etc.


%package devel
Summary:            Development Files for fstrm library
Requires:           %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains header files required to build an application
using %{name} library.

%package utils
Summary:            Frame Streams (fstrm) utilities
Requires:           %{name} = %{version}-%{release}

%description utils
The %{name}-utils package contains command line utilities.

%package doc
Summary:            API documentation for fstrm library
BuildRequires:      doxygen make
Requires:           %{name} = %{version}-%{release}
BuildArch:          noarch

%description doc
The %{name}-doc package contains Doxygen generated API documentation for %{name}library.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
%{make_build}
make html

%install
%{make_install}
mkdir -p %{buildroot}%{_pkgdocdir}/
cp -ar -p html %{buildroot}%{_pkgdocdir}/html
%generate_compatibility_deps

%check
%ifarch aarch64
echo "+++ Skip tests"
exit 0
%else
make check
%endif

%files
%dir %{abidir}
%license COPYRIGHT LICENSE
%exclude %{_pkgdocdir}/html
%{_libdir}/libfstrm.so.*
%{abidir}/*.dump

%files utils
%{_bindir}/fstrm_capture
%{_bindir}/fstrm_dump
%{_bindir}/fstrm_replay
%{_mandir}/man1/fstrm_*

%files devel
%doc README.md
%{_includedir}/fstrm.h
%{_includedir}/fstrm/
%{_libdir}/pkgconfig/libfstrm.pc
%{_libdir}/libfstrm.so

%files doc
%doc %{_pkgdocdir}/html

%changelog
* Fri Apr 14 2023 chen_yu_ao <m15927509890@163.com> - 0.6.1-4
- change spec file format and generate abi files

* Sun Jan 01 2023 Funda Wang <fundawang@yeah.net> - 0.6.1-3
- Bump release for upgrading from anolis 8

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 0.6.1-1
- Init package from upstream v0.6.1
